> ## Name

> cgGetParameterDirection - get a program parameter's direction

> ## Synopsis

>     #include <Cg/cg.h>

>     CGenum cgGetParameterDirection( CGparameter param );

> ## Parameters

> param
>   The program parameter.

> ## Return Values

> Returns the direction of param.

> Returns CG_ERROR if an error occurs.

> ## Description

> cgGetParameterDirection allows the application to distinguish program input parameters from program output parameters. This information is necessary for the application to properly supply the program inputs and use the program outputs.

> cgGetParameterDirection will return one of the following enumerants :

> CG_IN
>   Specifies an input parameter.
> CG_OUT
>   Specifies an output parameter.
> CG_INOUT
>   Specifies a parameter that is both input and output.
> CG_ERROR
>   If an error occurs.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetParameterDirection was introduced in Cg 1.1.

> ## See Also

> cgGetNamedParameter, cgGetNextParameter, cgGetParameterName, cgGetParameterType, cgGetParameterVariability, cgSetParameterVariability